{
    attributes = (
        {
            columnName = C_CIVILITE; 
            externalType = VARCHAR2; 
            name = cCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = CPT_LOGIN; 
            externalType = VARCHAR2; 
            name = cptLogin; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_PATRONYMIQUE; 
            externalType = VARCHAR2; 
            name = nomPatronymique; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = NOM_USUEL; 
            externalType = VARCHAR2; 
            name = nomUsuel; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            valueClassName = NSString; 
            width = 30; 
        }
    ); 
    attributesUsedForLocking = (cCivilite, nomUsuel, cptLogin); 
    className = EOGenericRecord; 
    classProperties = (cCivilite, nomUsuel, nomPatronymique, prenom, cptLogin); 
    externalName = V_SCOL_PERSONNES; 
    fetchSpecificationDictionary = {}; 
    name = VScolPersonnes; 
    primaryKeyAttributes = (cCivilite, nomUsuel, cptLogin); 
}
